<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Modificar personal</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
        <?php include("../menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php require("../private/connect.inc");
              require("../private/ident.inc");
              require("../private/func-personal.inc");
              ident();
      	      autoritzar($_COOKIE["login"], "personal_propi");
              // Ens assegurem que modifica la seva fitxa
              if (permis($_COOKIE["login"], "personal")!="true"){
                es_el_seu_id($_POST["id"]);
              }
              $nom=addslashes($_POST["nom"]);
              $despatx=addslashes($_POST["despatx"]);
              $id=addslashes($_POST["id"]);
              $telf=addslashes($_POST["telf"]);
              $email=addslashes($_POST["email"]);
              $web=addslashes($_POST["web"]);
              $area=aid(addslashes($_POST["area"]));
              $extra=addslashes($_POST["extra"]);
              $consultes=addslashes($_POST["consultes"]);
              $link=Conectar();

              mysql_query("UPDATE personal SET nom=\"$nom\", despatx=\"$despatx\",
              telf=\"$telf\", email=\"$email\",
              web=\"$web\",area=\"$area\",consultes=\"$consultes\" WHERE id=$id",
              $link) or die ("Error a la BD!");

              mysql_query("DELETE FROM becaris WHERE id=$id", $link) or die ("Error a la
              BD!");
              mysql_query("DELETE FROM profes_associats WHERE id=$id", $link) or die ("Error
              a la BD!");
              if (!strcasecmp($extra, "Professor Associat")){
                mysql_query("INSERT INTO profes_associats (id) VALUES ('$id')", $link) or
                die ("Error a la BD!");
              } elseif (!strcasecmp($extra, "Becari")){
                mysql_query("INSERT INTO becaris (id) VALUES ('$id')", $link) or die ("Error
                a la BD!");
              }
        ?>
        <h2>Administració Personal: Modificar</h2>
        Registre modificat!!<br>
        <font size="-1"><i>En 3 segons tornará al menú d'administració</i></font>
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
    <script languaje='JavaScript'>
       setTimeout('location.href="../login.php"', 3000)
    </script>
  </body>
</html>

